\RequirePackage[font={it,small},format=hang,labelsep=colon]{caption}
\RequirePackage[within=chapter]{newfloat}
\RequirePackage[newfloat]{minted}

% Use the pygmentize that has our style.
\renewcommand{\MintedPygmentize}{./venv/bin/pygmentize}

% Frame the minted environments
\surroundwithmdframed{minted}

% Set up the float options for listings
\SetupFloatingEnvironment{listing}{name=Example,listname=Code Examples,placement=h}

% Global minted settings
\setminted{autogobble,linenos,mathescape,breaklines,style=deuteranopia}

\newminted{haskell}{}
\newmint{haskell}{}
\newmintinline{haskell}{}
\newmintedfile{haskell}{}

\newminted{bash}{}
\newmint{bash}{}
\newmintinline{bash}{}
\newmintedfile{bash}{}

\newcommand{\haskexample}[4][]{%
  \begin{listing}
  \haskellfile[#1]{#2}
  \caption{#3 (\textit{File: \texttt{#2}})\label{exa:#4}}
\end{listing}
}

\newcommand{\haskexampleref}[2]{\hyperref[#2]{#1}}
